GetActiveLinkedCards

Get an array of card details of activated cards linked to the reference.

IMPORTANT:

This API method contains PCI sensitive information.

  • Session-Id="Encrypted" AES Key e-g (AB521456236KHU52) is required if encryption is needed and the campaign is configured for encryption of sensitive data.
  • This is optional if encryption is not needed and the campaign is not configured for encryption of sensitive data.

You can read more on how our Secure API’s work here.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓The user defined reference to the card; for example a member id or wallet number
transactionIDString1-255 characters✓a unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Client generated / local Transaction Date to assist in identifying transactions on the client side
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodcall>
    <methodname>GetActiveLinkedCards</methodname>
    <params>
        <param>
            <value>
                <string>0014682067</string>
            </value>
        </param>
        <param>
            <value>
                <string>TTKTEST</string>
            </value>
        </param>
        <param>
            <value>
                <string>123456</string>
            </value>
        </param>
        <param>
            <value>
                <datetime.iso8601>20200327T00:00:00</datetime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>B6942BA5F98449F067A3C7EC17E7B20545EF2B44</string>
            </value>
        </param>
    </params>
</methodcall>

Response Parameters

FieldtypeDescription
cardsArrayArray of structs containing card data. Will contain encrypted fields (CVV2, card number and expiry date) and an IV key (using which fields are encrypted) for each entry of card in the array.
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result.
<methodresponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
          <member>
            <name>resultText</name>
            <value>
              <string>Approved</string>
            </value>
          </member>
          <member>
            <name>cards</name>
            <value>
              <array>
                <data>
                  <value>
                    <struct>
                      <member>
                        <name>cvv2</name>
                        <value>
                          <string>H524IK</string>
                        </value>
                      </member>
                      <member>
                        <name>cardNumber</name>
                        <value>
                          <string>GHT52789BNHP52F</string>
                        </value>
                      </member>
                      <member>
                        <name>validDate</name>
                        <value>
                          <string>10/22</string>
                        </value>
                      </member>
                      <member>
                        <name>expiryDate</name>
                        <value>
                          <string>HY98PMDEFR63254NMHA:GT5:6PLX</string> //expiry date
                          
                        </value>
                      </member>
                      <member>
                        <name>trackingNumber</name>
                        <value>
                          <string>189469100000008</string>
                        </value>
                      </member>
                      <member>
                        <name>IV</name>
                        <value>
                          <string>GTYM521PL98THB72156HTBD5H</string>
                        </value>
                      </member>
                    </struct>
                  </value>
                </data>
              </array>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodresponse>